mtext_get_prop(3m17n)

NAME
mtext_get_prop - Get the value of the topmost text property.

SYNOPSIS
void* mtext_get_prop (MText * mt, int pos, MSymbol key)

DESCRIPTION
Get the value of the topmost text property.

The mtext_get_prop() function searches the character at pos in M-text mt for the text property whose key is key.

RETURN VALUE

    If a text property is found, mtext_get_prop() returns the value of the property. If the property has multiple values, it returns the topmost one. If no such property is found, it returns NULL without changing the external variable merror_code.

If an error is detected, mtext_get_prop() returns NULL and assigns an error code to the external variable merror_code.

Note:
    If NULL is returned without an error, there are two possibilities:

•   the character at pos does not have a property whose key is key, or
•   the character does have such a property and its value is NULL.
If you need to distinguish these two cases, use the mtext_get_prop_values() function instead.

ERRORS
    MERROR_RANGE, MERROR_SYMBOL

SEE ALSO
    mtext_get_prop_values(), mtext_put_prop(), mtext_put_prop_values(), mtext_push_prop(), mtext_pop_prop(), mtext_prop_range()

COPYRIGHT
Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2008 National Institute of Advanced Industrial Science and Technology (AIST)
Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License <http://www.gnu.org/licenses/fdl.html>.